extends ../../includes/layout

block content

    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto
    .row
        .col-xl-12
            .card
                .card-header
                    h4.card-title #{nav}
                .card-body
                    .row
                        .col-sm-12
                            input(type="hidden" name="lotId" id="lotId", value=lotId)
                            h3#lotname 
                            table#pickle.table.table-hover.table-striped
                                thead
                                    tr
                                        th #
                                        th Name
                                        th Price
                                        th Step
                                        th Detail
                                        th Start
                                        th End
                                        th Status
                                        th Action
                                tbody

block script
    script.

        let lotId = $('#lotId').val()

        loaddata();

        function time_to_string(val){
            var d = new Date(val);
            return start = d.getDate() + '/' + (d.getMonth()+1) + '/' + d.getFullYear() + ' ' + d.getHours() + ':' + d.getMinutes() + ':' + d.getSeconds();
        }

        function loaddata(data){

            $.ajax({
                url: "#{base_url}admin/product",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    result:true,
                    lotId:lotId
                },
                success: function (res, status, xhr) {
                    if(status=='success' && xhr.status==200 && res.result){
                        //- swal("Success", data.message, "success");

                        $('#lotname').text(res.lot.name)
                        $(res.data).each(function(key,val){
                            var start = time_to_string(val.date_start)
                            var end = time_to_string(val.date_end)

                            if(val.status == 'open'){
                                var bgStatus ='badge light badge-success' 
                            }else if(val.status == 'close'){ 
                                var bgStatus ='badge light badge-primary'
                            }else{
                                var bgStatus ='badge light badge-warning'
                            }

                            var edit = '<button class="btn btn-warning shadow btn-xs sharp me-1 btn-edit" data-id="'+val._id+'"><li class="flaticon-063-pencil"></li></button>'

                            var del = '<button class="btn btn-danger shadow btn-xs sharp btn-del" data-id="'+val._id+'"><i class="fa fa-trash"></li></button>'

                            $('#pickle tbody').append('<tr><td>'+val.orderNo+'</td><td>'+val.name+'</td><td>'+comma(val.startPrice)+'</td><td>'+comma(val.step)+'</td><td>'+val.detail+'</td><td>'+start+'</td><td>'+end+'</td><td><span class="'+bgStatus+'">'+val.status+'</span></td><td>'+edit+del+'</td></tr>')
                        });


                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }

                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                    console.log(xhr);
                    console.log(status);
                    console.log(error);
                    //redirect_login();
                },
            });
        }

        function comma(x) {
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }

        $('#pickle').on('click','.btn-edit',function(){
            var id = $(this).attr('data-id')
            console.log(id)
            window.open("#{base_url}admin/product/edit/"+id, '_blank');
            //window.location.replace("#{base_url}admin/product/edit/"+id);
        })

        $('#pickle').on('click','.btn-del',function(){
            const obj = $(this)
            swal({
                title: "Are you sure?",
                text: "Delete product ? ",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#DD6B55',
                confirmButtonText: 'Yes, I am sure!',
                cancelButtonText: "No, cancel it!"
            }).then(function(result) {
                console.log(result)
                if(result.value){
                    delete_item(obj)
                }
            })
        })

        function delete_item(obj){
            $.ajax({
                url: "#{base_url}admin/product/delete",
                headers: {
                    'Authorization': 'Bearer '+access_token,
                },
                method: "POST",
                dataType: "json",
                data:{
                    id:obj.attr('data-id'),
                    user_id:user_id
                },
                success: function (data, status, xhr) {
                    if(status=='success' && xhr.status==201 && data.result){
                        swal("Success", data.message, "success");
                        console.log(obj.parent().parent())
                        obj.parent().parent().remove()
                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, status, error) {
                    if(xhr.status==401){
                        redirect_login();
                    }else{
                        alert_message(xhr.responseText);
                    }
                },
            });
        }





